Subject: Re: [PATCH net-next v2 2/2] bonding: try to enable SG features when adding a new, slave

From: Ding Tianhong <[email-masked]>
Date: Fri, 17 Jan 2014 09:59:58 +0800

On 2014/1/17 8:07, David Miller wrote:
> From: Ding Tianhong <[email-masked]>
> Date: Tue, 14 Jan 2014 17:00:35 +0800
> 
>> The commit b0ce3508(bonding: allow TSO being set on bonding master)
>> has make the TSO being set for bond dev, but in some situation, if
>> the slave did not set the NETIF_F_SG features yet, the bond master
>> will miss the TSO features in netdev_fix_features because the TSO is
>> depended on SG.
>>
>> If the slave hw support SG features, but not set yet, I will try to
>> open it when enslave the dev, better for performance.
>>
>> Signed-off-by: Ding Tianhong <[email-masked]>
> 
> I really don't think we should force enable device features in slaves
> that perhaps the user intentionally disabled, or perhaps the driver has
> a reason to disable by default (lower performance, etc.)
> 
> I'm not applying this series, sorry.
> 
> 
Yes, pls miss this one, after the discussion with Veaceslav, I think it is not
reasonable to do this. thanks.

Ding